#include "menubar.h"
#include "mainwindow.h"
#include <QApplication>
#include <QMenu>
#include <QMenuBar>

SimpleMenu::SimpleMenu(MainWindow *parent)
    : QWidget(parent)
{

    QAction *quit = new QAction("&Quit", this);
    quit->setShortcut(QKeySequence(Qt::CTRL + Qt::Key_Q));
    QAction *reset_window = new QAction("&Reset Program", this);

    QAction *save_to_file = new QAction("&SaveToFile", this);

    //  In this project, the native menuBar does not exist.
    //  It disappeared when I removed 'mainwindow.ui'.
    QMenuBar *toplev = new QMenuBar(parent);

    QMenu *file;
    file = toplev->addMenu("&File");
    file->addAction(save_to_file);
    file->addSeparator();
    file->addAction(quit);

    QMenu *help;
    help = toplev->addMenu("&Help");
    help->addAction(reset_window);

    //  Try to position below QLabel...
    if (parent->mVBox)
        parent->mVBox->addWidget(toplev, 0, Qt::AlignBottom);
    //  Reparented automatically.
    //  The present constructor called 'new' 4 times.
    //  The MainWindow constructor called 'new' 3 times, and
    //  began before this constructor did.
    //  Nevertheless, it's best to check for a NULL pointer.

    toplev->setDefaultUp(true);

    //  Qt5 Semantics for Signals sent to Slots...

    connect(quit, &QAction::triggered, qApp, &QApplication::quit);

    connect(reset_window, &QAction::triggered, parent, &MainWindow::resetQ);
    connect(save_to_file, &QAction::triggered, parent, &MainWindow::fileSave);

}
